Gtk2::Combo(3)

NAME
Gtk2::Combo

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Box
                           +----Gtk2::HBox
                                +----Gtk2::Combo

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable

DEPRECATION WARNING
Gtk2::Combo has been marked as deprecated, and should not be used in newly written code.

You should use Gtk2::ComboBox instead of Gtk2::Combo.

METHODS

  widget = Gtk2::Combo->new

  $combo->set_case_sensitive ($val)

    * $val (boolean)

  $combo->disable_activate

  widget = $combo->entry

  $combo->set_item_string ($item, $item_value)
    * $item (Gtk2::Item)
    * $item_value (string)

  widget = $combo->list

  $combo->set_popdown_strings (...)

    * ... (list) of strings

  $combo->set_use_arrows_always ($val)
    * $val (boolean)

  $combo->set_use_arrows ($val)

    * $val (boolean)

  $combo->set_value_in_list ($val, $ok_if_empty)
    * $val (boolean)
    * $ok_if_empty (boolean)

PROPERTIES

'allow-empty' (boolean : readable / writable / private)
    Whether an empty value may be entered in this field

'case-sensitive' (boolean : readable / writable / private)
    Whether list item matching is case sensitive

'enable-arrow-keys' (boolean : readable / writable / private)
    Whether the arrow keys move through the list of items

'enable-arrows-always' (boolean : readable / writable / private)
    Obsolete property, ignored

'value-in-list' (boolean : readable / writable / private)
    Whether entered values must already be present in the list

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::Container, Gtk2::Box, Gtk2::HBox

COPYRIGHT
Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.